Bug 1008428 - Inconsistent simple_ip_management behavior in Horizon, with Neutron
Inconsistent simple_ip_management behavior in Horizon, with Neutron
Status: CLOSED UPSTREAM
Product: RDO
Classification: Community
Component: python-django-horizon (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Icehouse
Assigned To: Julie Pichon
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 07:00 EDT by Sandro Mathys
Modified: 2015-06-04 17:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-08 05:05:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1226003 None None None Never

  None (edit)
Description Sandro Mathys 2013-09-16 07:00:06 EDT
Description of problem:
Neutron does not (yet?) support the mechanism behind simple_ip_management (see e.g. https://bugs.launchpad.net/horizon/+bug/1196541). But it seems Horizon is only checking for support when associating a floating IP, but not when disassociating it. Thus, the behavior is highly inconsistent, if Neutron is used for the Networking and simple_ip_management is on (default).

Version-Release number of selected component (if applicable):
python-django-horizon-2013.2-0.10b3.el6.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Install OpenStack (e.g. Havana-3) with Neutron
2. Check that HORIZON_CONFIG["simple_ip_management"] is on (default)
3. In Horizon, first associate a floating IP and then disassociate it through the Instances (overview) page.

Actual results:
Association will show the non-simple behavior ("pick your IP") but Disassociation will show simple behavior ("disassociate and release immediately").

Expected results:
Use non-simple in both cases, as long as Neutron doesn't support simple.

Additional info:
As a workaround, HORIZON_CONFIG["simple_ip_management"] can be set to False in /etc/openstack-dashboard/local_settings
Comment 1 Sandro Mathys 2013-09-16 07:15:20 EDT
Reported the issue upstream with Horizon.
Comment 2 Matthias Runge 2014-10-08 05:05:33 EDT
This bug is being discussed upstream, it's not special to RDO.

Upstream tracker is https://bugs.launchpad.net/bugs/1226003

Note You need to log in before you can comment on or make changes to this bug.